Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

Resources

Remove provider from service territory DELETEGet providers in a service territory GETList Service Territories GETCreate Service Territory POSTDelete service territory DELETEGet Service Territory GETUpdate service territory PUT
PeopleService territories

Get providers in a service territory


Get a paginated list of providers in a specific service territory

GET
/api/rest/v2/service-territories/{service_territory_uuid}/providers

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Path Parameters

service_territory_uuid*string

Service Territory UUID

Query Parameters

limit?integer

Number of results to return per page (maximum 100)

Default20
after?string

Cursor for forward pagination - retrieve items after this cursor

before?string

Cursor for backward pagination - retrieve items before this cursor

sort_by?string

Field name to sort results by

sort_direction?string

Sort direction - 'ASC' for ascending or 'DESC' for descending

curl -X GET "https://api-sandbox.fndev.net/api/rest/v2/service-territories/string_value/providers"
{
  "data": [],
  "pagination": {
    "next_cursor": "eyJzb3J0VmFsdWUiOjEwLCJpZCI6MTB9",
    "limit": 20,
    "prev_cursor": "string_value",
    "has_next_page": true,
    "has_prev_page": false
  },
  "providers": []
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}

Response Body

application/json

application/json

application/json

Last updated on

Remove provider from service territory DELETE

Previous Page

List Service Territories GET

Next Page

curl -X GET "https://api-sandbox.fndev.net/api/rest/v2/service-territories/string_value/providers"